package com.ss.android.ugc.aweme.compliance.protection.restrictmode.ui.fragment;

import X.AnonymousClass2UX;
import X.C12422nK;
import X.C29203Yi;
import X.C45413zR;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.compliance.protection.timelock.ui.fragment.AbsAboutFragmentV2;

public class RestrictModeAboutFragmentV2 extends AbsAboutFragmentV2 {
    public C29203Yi LIZ;
    public C29203Yi LIZIZ;

    static {
        Covode.recordClassIndex(62122);
    }

    public final int LIZJ() {
        return 2131559423;
    }

    public final void LIZLLL() {
        C12422nK.LIZ("open_teen_mode", new AnonymousClass2UX().LIZ);
        super.LIZLLL();
    }

    public void onViewCreated(View view, Bundle bundle) {
        this.LIZ = (C29203Yi) view.findViewById(2131371068);
        this.LIZIZ = (C29203Yi) view.findViewById(2131371069);
        super.onViewCreated(view, bundle);
        this.LIZ.setTitle(getString(2131832182));
        this.LIZIZ.setTitle(getString(2131832183));
        if (LJI()) {
            String str = ((C45413zR) LJFF().getValue()).LIZIZ.LIZJ;
            if (!TextUtils.isEmpty(str)) {
                this.LIZJ.setText(getString(2131824884, new Object[]{str}));
            } else {
                this.LIZJ.setText(getString(2131824883));
            }
            this.LIZ.setTitle(getString(2131832182));
            this.LIZIZ.setTitle(getString(2131824885));
        }
    }
}
